Bug 727887 - Review Request: rubygem-childprocess - A simple and reliable gem for controlling external programs
Summary: Review Request: rubygem-childprocess - A simple and reliable gem for controll...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan Rix
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 707158 (view as bug list)
Depends On:
Blocks: 727899
TreeView+ depends on / blocked
 
Reported: 2011-08-03 14:22 UTC by Chris Lalancette
Modified: 2014-08-01 16:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-04 14:02:47 UTC
ry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Lalancette 2011-08-03 14:22:31 UTC
Spec URL: http://people.redhat.com/clalance/rubygem-childprocess/rubygem-childprocess.spec
SRPM URL: http://people.redhat.com/clalance/rubygem-childprocess/rubygem-childprocess-0.2.0-1.fc14.src.rpm

Description:
This gem aims at being a simple and reliable solution for controlling external
programs running in the background on any Ruby / OS combination.

Comment 1 Ryan Rix 2011-08-03 19:13:46 UTC
I'll review this one.

Comment 2 Ryan Rix 2011-08-03 19:34:33 UTC
[+] MUST: rpmlint must be run on every package
as always with rubygems, there's warnings from rdoc generated stuff. 
[+] MUST: The package must be named according to the Package Naming 
         Guidelines
[+] MUST: The spec file name must match the base package %{name} [...]
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[+] MUST: The License field in the package spec file must match the 
    actual license
[+] MUST: If (and only if) the source package includes the text of the 
    license(s) in its own file, then that file, containing the text of 
    the license(s) for the package must be included in %doc
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream 
    source, as provided in the spec URL. Reviewers should use md5sum for 
    this task. If no upstream URL can be specified for this package, 
    please see the Source URL Guidelines for how to deal with this.

3c5d7cacc3519f1811efa227dea2cc65  childprocess-0.2.0.gem
3c5d7cacc3519f1811efa227dea2cc65  SOURCES/childprocess-0.2.0.gem

[+] MUST: The package MUST successfully compile and build into binary 
    rpms on at least one primary architecture
[0] MUST: If the package does not successfully compile, build or work on 
    an architecture, then those architectures should be listed in the 
    spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
    have a bug filed in bugzilla, describing the reason that the package 
    does not compile/build/work on that architecture. The bug number MUST 
    be placed in a comment, next to the corresponding ExcludeArch line
[+] MUST: All build dependencies must be listed in BuildRequires, except 
    for any that are listed in the exceptions section of the Packaging 
    Guidelines ; inclusion of those as BuildRequires is optional. Apply 
    common sense.
[0] MUST: The spec file MUST handle locales properly. This is done by 
    using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
    forbidden
[0] MUST: Every binary RPM package (or subpackage) which stores shared 
    library files (not just symlinks) in any of the dynamic linker's 
    default paths, must call ldconfig in %post and %postun.
[0] MUST: If the package is designed to be relocatable, the packager must 
    state this fact in the request for review, along with the 
    rationalization for relocation of that specific package. Without 
    this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does 
    not create a directory that it uses, then it should require a package 
    which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files 
    listing.
[+] MUST: Permissions on files must be set properly. Executables should 
    be set with executable permissions, for example. Every %files section 
    must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage. (The 
    definition of large is left up to the packager's best judgement, but 
    is not restricted to size. Large can refer to either size or 
    quantity).
[+] MUST: If a package includes something as %doc, it must not affect the 
    runtime of the application. To summarize: If it is in %doc, the 
    program must run properly if it is not present.
[0] MUST: Header files must be in a -devel package.
[0] MUST: Static libraries must be in a -static package.
[0] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
    pkgconfig' (for directory ownership and usability).
[0] MUST: If a package contains library files with a suffix (e.g. 
    libfoo.so.1.1), then library files that end in .so (without suffix) 
    must go in a -devel package.
[0] MUST: In the vast majority of cases, devel packages must require the 
    base package using a fully versioned dependency: Requires: %{name} =
    %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must 
    be removed in the spec if they are built.
[0] MUST: Packages containing GUI applications must include a
    %{name}.desktop file, and that file must be properly installed with 
    desktop-file-install in the %install section. If you feel that your 
    packaged GUI application does not need a .desktop file, you must put 
    a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by 
    other packages. The rule of thumb here is that the first package to 
    be installed should own the files or directories that other packages 
    may rely upon. This means, for example, that no package in Fedora 
    should ever share ownership with any of the files or directories 
    owned by the filesystem or man package. If you feel that you have a 
    good reason to own a file or directory that another package owns, 
    then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

Rubygems business:
[+] MUST: Packages that contain Ruby Gems must be called rubygem-%{gemname} 
    where gemname is the name from the Gem's specification. 
[+] MUST: The Source of the package must be the full URL to the released Gem 
    archive; the version of the package must be the Gem's version 
[+] MUST: The package must have a Requires and a BuildRequires on rubygems 
[+] MUST: The package must provide rubygem(%{gemname}) where gemname is the 
    name from the Gem's specification. For every dependency on a Gem named 
    gemdep, the package must contain a Requires on rubygem(%{gemdep}) with 
    the same version constraints as the Gem 
[+] MUST: The Gem must be installed into %{gemdir} defined as 
    %global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
[+] SHOULD: The install should be performed with the command 
    gem install --local --install-dir %{buildroot}%{gemdir} --force 
    %{SOURCE0}
[+] MUST: The package must own the following files and directories: 
    %{gemdir}/gems/%{gemname}-%{version}/
    %{gemdir}/cache/%{gemname}-%{version}.gem
    %{gemdir}/specifications/%{gemname}-%{version}.gemspec
[+] MUST: Architecture-specific content must not be installed into %{gemdir} 
[+] MUST: If the Gem only contains pure Ruby code, it must be marked as  
    BuildArch: noarch. If the Gem contains binary content (e.g., for a 
    database driver), it must be marked as architecture specific, and all
    architecture specific content must be moved from the %{gemdir} to the
    [#ruby_sitearch %{ruby_sitearch} directory] during %install

Yet another fine package :)

APPROVED

Comment 3 Chris Lalancette 2011-08-03 20:02:12 UTC
Thanks again.

Comment 4 Chris Lalancette 2011-08-03 20:02:50 UTC
New Package SCM Request
=======================
Package Name: rubygem-childprocess
Short Description: A simple and reliable gem for controlling external programs
Owners: clalance mmorsi
Branches: f16
InitialCC:

Comment 5 Gwyn Ciesla 2011-08-03 22:34:02 UTC
Git done (by process-git-requests).

Comment 6 Vít Ondruch 2011-08-04 08:13:13 UTC
Hey guys, one rule of [1] says "Search in the Review Tracker for packages under review." This might be good start for your packaging effort next time. Thank you.

[1] http://fedoraproject.org/wiki/PackageMaintainers/Join#Ensure_your_package_is_suitable

Comment 7 Vít Ondruch 2011-08-04 08:13:46 UTC
*** Bug 707158 has been marked as a duplicate of this bug. ***

Comment 8 Troy Dawson 2014-08-01 13:39:31 UTC
Package Change Request
======================
Package Name: rubygem-childprocess
New Branches: epel7
Owners: tdawson

Comment 9 Gwyn Ciesla 2014-08-01 16:05:02 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.